<?php
/**
 * The view file of feedback module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     feedback
 * @version     $Id: view.html.php 4728 2013-05-03 06:14:34Z chencongzhi520@gmail.com $
 * @link        http://www.zentao.net
 */
?>
<?php
if($this->app->getMethodName() == 'adminview') include '../../common/view/header.html.php';
else include './header.html.php';
?>
<?php include '../../common/view/kindeditor.html.php';?>
<div id='titlebar'>
  <div class='heading'>
    <span class='prefix'><strong><?php echo $feedback->id;?></strong></span>
    <strong>
    <?php
    if($feedback->public) echo "<span class='label label-info'>{$lang->feedback->public}</span>";
    echo $feedback->title;
    ?>
    </strong>
    <?php echo " <span class='label label-status status-{$feedback->status}'>{$lang->feedback->statusList[$feedback->status]}</span>";?>
    <?php echo " <span class='label label-info'>{$product}</span>";?>
  </div>
  <div class='actions'>
    <?php
    $browseLink  = $app->session->feedbackList != false ? $app->session->feedbackList : inlink('browse', "productID=$feedback->product");
    $params      = "feedbackID=$feedback->id";
    $likeByTitle = '';
    if($feedback->public and $feedback->likes)
    {
        foreach(explode(',', $feedback->likes) as $likeBy) $likeByTitle .= zget($users, $likeBy, $likeBy) . ',';
        $likeByTitle .= $lang->feedback->feelLike;
    }
    if(!$feedback->deleted)
    {
        ob_start();
        echo "<div class='btn-group'>";

        if($app->user->account == $feedback->openedBy) echo html::a(inlink('comment', "feedbackID=$feedback->id&type=asked"), "<i class='icon-chat'></i> {$lang->feedback->ask}", '', "class='btn iframe'");
        if(empty($app->user->feedback) and $feedback->status != 'closed')
        {
            common::printIcon('feedback', 'comment', "feedbackID=$feedback->id&type=replied", '', 'button', 'reply', '', 'iframe', '', '', $lang->feedback->reply);
            if($config->global->flow == 'full' or $config->global->flow == 'onlyStory') common::printIcon('story', 'create', "product=$feedback->product&branch=0&moduleID=0&storyID=0&projectID=0&bugID=0&planID=0&$params", '', 'button', $lang->icons['story'], '', '', '', '', $lang->feedback->toStory);
            if($config->global->flow == 'full' or $config->global->flow == 'onlyTest')  common::printIcon('bug',   'create', "product=$feedback->product&branch=0&extras=$params", '', 'button', $lang->icons['bug'], '', '', '', '', $lang->feedback->toBug);
        }
        if($feedback->status != 'closed' and ($app->user->account == $feedback->openedBy or empty($app->user->feedback)))
        {
            common::printIcon('feedback', 'close', "feedbackID=$feedback->id", '', 'button', '', '', 'iframe', '', '', $lang->feedback->close);
        }
        echo '</div>';

        echo "<div class='btn-group'>";
        if($feedback->status == 'wait' and $app->user->account == $feedback->openedBy) echo html::a(inlink('edit', $params), "<i class='icon-pencil'></i> {$lang->edit}", '', "class='btn' title='{$lang->feedback->edit}'");
        if($feedback->public)
        {
            echo html::a(inlink('comment', "feedbackID=$feedback->id&type=commented"), "<i class='icon-comment-alt'></i> {$lang->feedback->comment}", '', "class='btn iframe'");
            echo "<span class='likesBox'>";
            echo html::a("javascript:like($feedback->id)", "<i class='icon icon-thumbs-up'></i> ({$feedback->likesCount})", '', "class='btn' title=$likeByTitle");
            echo "</span>";
        }
        if($app->user->account == $feedback->openedBy and $feedback->status == 'wait') echo html::a(inlink('delete', $params), "<i class='icon-remove'></i>", 'hiddenwin', "class='btn' title='{$lang->feedback->close}'");
        echo '</div>';

        echo "<div class='btn-group'>";
        common::printRPN($browseLink, $preAndNext);
        echo '</div>';

        $actionLinks = ob_get_contents();
        ob_end_clean();
        echo $actionLinks;
    }
    else
    {
        common::printRPN($browseLink);
    }
    ?>
  </div>
</div>

<div class='row-table'>
  <div class='col-main'>
    <div class='main'>
      <fieldset>
        <legend><?php echo $lang->feedback->desc;?></legend>
        <div class='content'><?php echo $feedback->desc;?></div>
      </fieldset>
      <?php echo $this->fetch('file', 'printFiles', array('files' => $feedback->files, 'fieldset' => 'true'));?>
      <?php include '../../common/view/action.html.php';?>
      <div class='actions'><?php if(!$feedback->deleted) echo $actionLinks;?></div>
    </div>
  </div>
  <?php if($feedback->result):?>
  <div class='col-side'>
    <div id='resultInfoBox' class='main main-side'></div>
  </div>
  <?php endif;?>
</div>
<?php
if($this->app->getMethodName() == 'adminview') include '../../common/view/footer.html.php';
else include './footer.html.php';
?>
<?php if($feedback->result):?>
<script>
$(function()
{
    var count    = $('#historyItem').find('li:last').attr('value');
    var resultID = "<?php echo $feedback->result?>";
    var type     = "<?php echo $feedback->closedReason?>";
    var link     = createLink('feedback', 'ajaxShowResultInfo', 'resultID=' + resultID + '&type=' + type + '&count=' + count);
    $('#resultInfoBox').load(link);
});
</script>
<?php endif;?>
